// Ispitivanje klasa Niz i N_iter.

#include "niz3.h"
#include "niter.h"
#include "krug2.h"
#include "kvadrat.h"
#include "trougao1.h"
#include <iostream>
using namespace std;

int main() {
  // Stvaranje niza.
  Niz niz; niz += new Krug   (3, Tacka(1,2));
           niz += new Trougao(3, 4, 5, Tacka(7,8));
           niz += new Kvadrat(2, Tacka(9,8));
  for (int n=niz.vel(), i=0; i<n; niz+=*niz[i++]);
  cout << "Pocetni niz:\n" << niz << endl;

  // Ureivanje niza prema povrsinama figura.
  for (int i=0; i<niz.vel()-1; i++)
    for (int j=i+1; j<niz.vel(); j++)
      if (niz[j]->P() < niz[i]->P())
        { Figura* f = niz[i]; niz[i] =  niz[j]; niz[j] = f; }
  cout << "Uredjeni niz:\n";
  for (const N_iter i(&niz); i.ima(); ++i)
    cout << "  " << *i << endl;

  // Vaenje svakog drugog elementa niza.
  cout << "\nIzvadjene figure:\n";
  for (N_iter i(&niz); i.ima(); ++i)
    { Figura* f = ~i; cout << "  " << *f << endl;  delete f; }
  cout <<"\nPrepolovljeni niz:\n" << niz << endl;
}
